Public Class entMainTestimonial
#Region "Private Fields"
    Private strCaseStudyID As String
    Private strCaseStudyHeadline As String
    Private strCaseStudySummary As String
    Private strCaseStudyText As String
    Private strCaseStudyDate As String
    Private strThumbImage As String
    Private strMainImage As String
    Private intTestimonialType As Integer
    Private strTestimonialSignature As String
    Private intActive As Integer
    Private intDeleted As Integer
    Private strCreatedBy As String
    Private strCreatedDate As String
    Private intDeletedBy As String
    Private intDeletedDate As String
    Private strModifiedBy As String
    Private strModifiedDate As String
    Private strTestimonial As String
    Private boolIsTestimonial As Boolean
    Private boolIsCaseStudy As Boolean








#End Region
#Region "Public Properties"
    Public Property CaseStudyID() As String
        Get
            Return strCaseStudyID
        End Get
        Set(ByVal value As String)
            strCaseStudyID = value
        End Set
    End Property
    Public Property CaseStudyHeadline() As String
        Get
            Return strCaseStudyHeadline
        End Get
        Set(ByVal value As String)
            strCaseStudyHeadline = value
        End Set
    End Property
    Public Property CaseStudySummary() As String
        Get
            Return strCaseStudySummary
        End Get
        Set(ByVal value As String)
            strCaseStudySummary = value
        End Set
    End Property
    Public Property CaseStudyText() As String
        Get
            Return strCaseStudyText
        End Get
        Set(ByVal value As String)
            strCaseStudyText = value
        End Set
    End Property
    Public Property CaseStudyDate() As String
        Get
            Return strCaseStudyDate
        End Get
        Set(ByVal value As String)
            strCaseStudyDate = value
        End Set
    End Property
    Public Property ThumbImage() As String
        Get
            Return strThumbImage
        End Get
        Set(ByVal value As String)
            strThumbImage = value
        End Set
    End Property
    Public Property MainImage() As String
        Get
            Return strMainImage
        End Get
        Set(ByVal value As String)
            strMainImage = value
        End Set
    End Property
    Public Property Testimonial() As String
        Get
            Return strTestimonial
        End Get
        Set(ByVal value As String)
            strTestimonial = value
        End Set
    End Property
    Public Property TestimonialSignature() As String
        Get
            Return strTestimonialSignature
        End Get
        Set(ByVal value As String)
            strTestimonialSignature = value
        End Set
    End Property

    Public Property Active() As Integer
        Get
            Return intActive
        End Get
        Set(ByVal value As Integer)
            intActive = value
        End Set
    End Property
    Public Property Deleted() As Integer
        Get
            Return intDeleted
        End Get
        Set(ByVal value As Integer)
            intDeleted = value
        End Set
    End Property

    Public Property CreatedBy() As String
        Get
            Return strCreatedBy
        End Get
        Set(ByVal value As String)
            strCreatedBy = value
        End Set
    End Property
    Public Property CreatedDate() As String
        Get
            Return strCreatedDate
        End Get
        Set(ByVal value As String)
            strCreatedDate = value
        End Set
    End Property
    Public Property DeletedBy() As String
        Get
            Return intDeletedBy
        End Get
        Set(ByVal value As String)
            intDeletedBy = value
        End Set
    End Property
    Public Property DeletedDate() As String
        Get
            Return intDeletedDate
        End Get
        Set(ByVal value As String)
            intDeletedDate = value
        End Set
    End Property
    Public Property ModifiedBy() As String
        Get
            Return strModifiedBy
        End Get
        Set(ByVal value As String)
            strModifiedBy = value
        End Set
    End Property
    Public Property ModifiedDate() As String
        Get
            Return strModifiedDate
        End Get
        Set(ByVal value As String)
            strModifiedDate = value
        End Set
    End Property
    Public Property TestimonialType() As Integer
        Get
            Return intTestimonialType
        End Get
        Set(ByVal value As Integer)
            intTestimonialType = value
        End Set
    End Property

    Public Property isTestimonial() As Boolean
        Get
            Return boolIsTestimonial
        End Get

        Set(ByVal value As Boolean)
            boolIsTestimonial = value
        End Set
    End Property

    Public Property isCaseStudy() As Boolean
        Get
            Return boolIsCaseStudy
        End Get

        Set(ByVal value As Boolean)
            boolIsCaseStudy = value
        End Set
    End Property

#End Region
End Class